jupyter-notebook (6.4.13-2) unstable; urgency=medium

  * Fixing get-test-exclusions, autopkgtest should be against the
    installed package, so lets use an absolute path.

 -- Diane Trout <diane@ghic.org>  Fri, 30 Aug 2024 13:27:35 -0700

jupyter-notebook (6.4.13-1) unstable; urgency=medium

  * Team upload
  * New upstream release (Closes: #1069027)
  * add 0018-replace-assert-dict-contains-subset.patch
    Works around a >= Python3.11 issue where assertDictContainsSubset was
    removed.
  * Refresh patches
  * Use get-test-exclusions to pass the same test exclusions to both
    autopkgtest and pybuild
  * skip services/kernels/tests/test_kernels_api.py::KernelAPITest::test_connections
    because it reliabily times out with our current versions of zmq and tornado.
    This override should be checked and removed in the future.
  * Remove superficial tests
  * Install notebook/tests so we can use them in the debian CI

 -- Diane Trout <diane@ghic.org>  Wed, 28 Aug 2024 14:54:05 -0700

jupyter-notebook (6.4.12-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * python3-notebook: Add Breaks: cadabra2 (<< 2.4.3.2-1.1~).
  * Add python3-notebook.maintscript to restore the
    /usr/lib/python3/dist-packages/notebook/static/components/codemirror
    symlink in case buggy cadabra2 was installed first.  (Closes: #1036021)

 -- Andreas Beckmann <anbe@debian.org>  Sun, 28 May 2023 01:18:59 +0200

jupyter-notebook (6.4.12-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 11:04:20 +0200

jupyter-notebook (6.4.12-2) unstable; urgency=medium

  * create-react-class webpack: disable minimization
    This caused the build to fail when multiple CPUs were available, for
    reasons that presumably made sense to the javascript libs in question.
  * Close additional FTBFS bugs: Closes: #1008422, #1011522

 -- Gordon Ball <gordon@chronitis.net>  Sat, 01 Oct 2022 00:58:58 +0200

jupyter-notebook (6.4.12-1) unstable; urgency=medium

  [ Jerome Benoit ]
  * Remove myself from the Uploaders list.

  [ Julien Puydt ]
  * Package new upstream (Closes: #1015783, #1013272, #1014771).
  * Refresh patches.
  * Add patch to drop dep on google caja.
  * Add missing build-depends.

 -- Gordon Ball <gordon@chronitis.net>  Fri, 30 Sep 2022 19:25:29 +0000

jupyter-notebook (6.4.8-2) unstable; urgency=medium

  * Team upload.
  * Add b-dep on python3-ipython-genutils (wasn't noticed for
    transitivity reasons!).

 -- Julien Puydt <jpuydt@debian.org>  Tue, 03 May 2022 21:43:12 +0200

jupyter-notebook (6.4.8-1) unstable; urgency=medium

  * New upstream version 6.4.8
  * d/control: bump send2trash version, add nest_asyncio

 -- Gordon Ball <gordon@chronitis.net>  Fri, 28 Jan 2022 11:42:02 +0000

jupyter-notebook (6.4.5-4) unstable; urgency=medium

  * Patch javascript usage of marked for marked 4.x
  * Temporarily disable jquery-ui related functionality until a solution to
    #1003680 is found. This makes the help pager non-resizeable, but avoids a
    blank page when trying to open a notebook.
    (Closes: #1003613, #1003722, #1003881)

 -- Gordon Ball <gordon@chronitis.net>  Mon, 17 Jan 2022 16:35:10 +0000

jupyter-notebook (6.4.5-3) unstable; urgency=medium

  * Fix FTBFS caused by files moves in node-po2json 0.4.5-2
  * Add picocolors to nodejs/extcopies, new dependency for postcss webpack build
  * Adjust paths for marked 4.x (Closes: #1000884)

 -- Gordon Ball <gordon@chronitis.net>  Mon, 10 Jan 2022 16:14:45 +0000

jupyter-notebook (6.4.5-2) unstable; urgency=medium

  * Drop test dependency on python3-nose
  * Patch test failures with jupyter-core 4.9.1 (Closes: #998525)

 -- Gordon Ball <gordon@chronitis.net>  Sat, 06 Nov 2021 14:18:28 +0000

jupyter-notebook (6.4.5-1) unstable; urgency=medium

  * New upstream version 6.4.5
  * Drop Built-Using field on python3-notebook, as the licenses of the
    libraries listed did not require it
  * Standards-Version: 4.6.0

 -- Gordon Ball <gordon@chronitis.net>  Fri, 22 Oct 2021 18:22:18 +0000

jupyter-notebook (6.4.4-1) unstable; urgency=medium

  * New upstream version 6.4.4 (Closes: #995593)
  * More fixes for the (fragile) javascript build process

 -- Gordon Ball <gordon@chronitis.net>  Fri, 08 Oct 2021 19:45:38 +0000

jupyter-notebook (6.4.3-1) unstable; urgency=medium

  * d/watch: new github tarball URL
  * d/watch: accept leading v on tags, added from 6.4.2
  * New upstream version 6.4.3
  * d/rules: update custom changelog location
  * d/jupyter-notebook.install: include icon and desktop file
  * Drop vendored copy of google-caja, no longer used
  * Vendor multiple JS libraries needed for new html sanitizer, which is
    needed to fix CVE-2021-32798 / GHSA-hwvq-6gjx-j797 (Closes: #992704)
      + @jupyterlab/apputils
      + sanitize-html, @types/sanitize-html
      + parse-srcset
      + klona

 -- Gordon Ball <gordon@chronitis.net>  Wed, 15 Sep 2021 19:31:54 +0000

jupyter-notebook (6.2.0-1) unstable; urgency=medium

  * New upstream version 6.2.0
  * Version dependencies on tornado, send2trash
  * Disable all tests of notebook trashing; these are too sensitive to
    different mount and container layouts to be useful.

 -- Gordon Ball <gordon@chronitis.net>  Sun, 17 Jan 2021 21:52:31 +0000

jupyter-notebook (6.1.6-2) unstable; urgency=medium

  * Use uglifyjs instead of node-uglify (Closes: #979898)

 -- Gordon Ball <gordon@chronitis.net>  Tue, 12 Jan 2021 18:52:17 +0000

jupyter-notebook (6.1.6-1) unstable; urgency=medium

  * New upstream version 6.1.6
  * Run tests using pytest instead of nose, as upstream

 -- Gordon Ball <gordon@chronitis.net>  Sat, 26 Dec 2020 20:18:26 +0000

jupyter-notebook (6.1.5-1) unstable; urgency=medium

  * New upstream version 6.1.5

 -- Gordon Ball <gordon@chronitis.net>  Sat, 07 Nov 2020 21:07:30 +0000

jupyter-notebook (6.1.4-1) unstable; urgency=medium

  [ Gordon Ball ]
  * New upstream version 6.1.4
  * Mark the symlink autopkgtest as superficial

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Gordon Ball <gordon@chronitis.net>  Thu, 24 Sep 2020 19:06:44 +0000

jupyter-notebook (6.1.3-1) unstable; urgency=medium

  * New upstream version 6.1.3
  * Ensure XDG_DATA_HOME exists for autopkgtests
  * Update lintian-overrides for python3-notebook

 -- Gordon Ball <gordon@chronitis.net>  Mon, 31 Aug 2020 15:46:05 +0000

jupyter-notebook (6.1.1-2) unstable; urgency=medium

  * Another attempt to fix autopkgtest errors related to cross-device renames

 -- Gordon Ball <gordon@chronitis.net>  Thu, 13 Aug 2020 19:57:18 +0000

jupyter-notebook (6.1.1-1) unstable; urgency=medium

  * New upstream version 6.1.1
  * Refresh patches
  * Update versioned javascript dependencies
  * Use debhelper-compat 13
  * Exclude deletion tests from autopkgtest
  * New dependency: python3-argon2
  * New build/test dependency: python3-requests-unixsocket

 -- Gordon Ball <gordon@chronitis.net>  Wed, 12 Aug 2020 18:12:45 +0000

jupyter-notebook (6.0.3-4) unstable; urgency=medium

  [ Gordon Ball ]
  * Set XDG_RUNTIME_DIR for autopkgtests to avoid (host-layout-specific)
    errors caused by trying to do cross-device renames.

  [ Debian Janitor ]
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Gordon Ball <gordon@chronitis.net>  Fri, 24 Jul 2020 19:32:18 +0000

jupyter-notebook (6.0.3-3) unstable; urgency=medium

  * Run the test suite as an autopkgtest
  * Check for broken symlinks in the notebook directory as an autopkgtest
  * Drop rebuilding of node-react artifacts from 6.0.0-1, since this is no
    longer necessary with a more recent version of node-react; update the b-d
    on node-react to >= 16.13 accordingly

 -- Gordon Ball <gordon@chronitis.net>  Fri, 17 Jul 2020 17:58:21 +0000

jupyter-notebook (6.0.3-2) unstable; urgency=medium

  * Bump xterm.js dependency to pick up a bug fix, change the way these
    modules are loaded. Should actually fix the web terminal.

 -- Gordon Ball <gordon@chronitis.net>  Wed, 05 Feb 2020 11:56:03 +0000

jupyter-notebook (6.0.3-1) unstable; urgency=medium

  * New upstream version 6.0.3
  * d/control: update versioned python dependencies
  * d/control: update Standards-Version to 4.5.0
  * Refresh patches; drop 0001-Nodejs-binary-and-import-names.patch since
    node -> nodejs is no longer needed.
  * Re-enable the xtermjs-based web terminal, as node-xterm is available
    again (Closes: #935995, retires several related patches).
  * d/rules: Drop now-unneeded dh_auto_install override
  * Try and patch testsuite pythonpath issues
  * d/source/lintian-overrides: rename tag insane-line-length ->
    very-long-line-length

 -- Gordon Ball <gordon@chronitis.net>  Fri, 31 Jan 2020 10:32:37 +0000

jupyter-notebook (6.0.2-1) unstable; urgency=medium

  * New upstream version 6.0.2
  * d/control: update versioned dependencies on jupyter-{core,client}

 -- Gordon Ball <gordon@chronitis.net>  Wed, 01 Jan 2020 12:57:35 +0000

jupyter-notebook (6.0.0-2) unstable; urgency=medium

  * Remove postinst and postrm logic for handling merged notebook JSON config
    like /etc/jupyter/nbconfig/notebook in favour of dropping files in eg,
    /etc/jupyter/nbconfig/notebook.d/, which should be simpler and more
    robust. Accordingly, add breaks against the last version of ipywidgets
    which used the old mechanism.
  * Update build paths for node-react and version dependency after install
    location was moved.
  * Don't automatically enable the systemd user unit (Closes: #944743);
    incorrectly enabled instances for non-interactive users can be disabled
    with `systemctl --user --global disable jupyter-notebook`

 -- Gordon Ball <gordon@chronitis.net>  Mon, 16 Dec 2019 19:56:28 +0000

jupyter-notebook (6.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Gordon Ball ]
  * New upstream release 6.0.0
  * Stop building python-notebook, since upstream has ceased to support python
    2.7 as of this version (Closes: #936775).
  * Add a copy of create-react-class, a new JS dependency that has been
    discontinued upstream, and is hence probably not a good candidate for
    standalone packaging.
  * Rebuild UMD artifacts from node-react using webpack, since the available
    version does not appear to be usable in a script context.
  * Use debhelper compat level 12

 -- Gordon Ball <gordon@chronitis.net>  Fri, 01 Nov 2019 20:39:16 +0000

jupyter-notebook (5.7.8-1) unstable; urgency=medium

  * New upstream release 5.7.8
  * Fixes CVE-2019-9644 (Closes: #924515)
  * Fixes CVE-2019-10255 (Closes: #925939)

 -- Gordon Ball <gordon@chronitis.net>  Mon, 06 May 2019 18:12:38 +0000

jupyter-notebook (5.7.4-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix unhandled symlink to directory conversion for bootstrap, through
    python{,3}-notebook.maintscript. (Closes: #924232)

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 30 Mar 2019 15:52:25 +0100

jupyter-notebook (5.7.4-2) unstable; urgency=medium

  * Team upload.

  [ Gordon Ball ]
  * Add (retrospective) CVEs fixed by 5.7.4-1.

  [ Andrej Shadura ]
  * Temporarily use term.js once again instead of the RC-buggy node-xterm
    (Closes: #924111).

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 09 Mar 2019 16:21:07 +0000

jupyter-notebook (5.7.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * d/changelog: Remove trailing whitespaces
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Gordon Ball ]
  * New upstream release 5.7.4
  * Refresh existing patches
  * Update to Standards-Version 4.3.0
  * Patch terminal support to work with the currently packaged version
    of node-xterm
  * Use packaged po2json for translations
  * New dependencies: prometheus_client, ipaddress, mock
  * Fix (upstream) CVE-2018-19351 (nbconvert trust issues), #917409
  * Fix (upstream) CVE-2018-19352 (xss via filenames), #917408

 -- Gordon Ball <gordon@chronitis.net>  Thu, 14 Feb 2019 07:49:43 +0000

jupyter-notebook (5.4.1-1) unstable; urgency=medium

  * New upstream release 5.4.1
  * Fixes CVE-2018-8768 (malicious notebook can execute javascript)
  * Remove d/.git-dpm and switch to a gbp-style patches-unapplied main branch

 -- Gordon Ball <gordon@chronitis.net>  Tue, 03 Apr 2018 14:14:27 +0000

jupyter-notebook (5.4.0-1) unstable; urgency=medium

  [ Gordon Ball ]
  * New upstream release.
  * Update Standards-Version to 4.1.3 (no changes)
  * Retire patch 0003-Unmask-setuptools-in-setup.py (no longer needed)
  * Patch setupbase.py to avoid trying to edit the system copy of bootstrap
  * New dependency: python[3]-send2trash
  * Move d/source.lintian-overrides to d/source/lintian-overrides
  * Set Rules-Requires-Root: no

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Fix Format URL to correct one

 -- Gordon Ball <gordon@chronitis.net>  Mon, 05 Mar 2018 21:40:12 +0100

jupyter-notebook (5.2.2-1) unstable; urgency=medium

  * New upstream release.

 -- Gordon Ball <gordon@chronitis.net>  Wed, 06 Dec 2017 22:25:37 +0100

jupyter-notebook (5.2.1-2) unstable; urgency=medium

  * Patch tools/build-main.js which should fix being unable to use the
    built-in web terminal, due to failing to load xterm.js

 -- Gordon Ball <gordon@chronitis.net>  Thu, 23 Nov 2017 21:15:08 +0000

jupyter-notebook (5.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Update lintian-overrides with a very-long-line regex related to
    bidirectional text support
  * Install upstream changelog

 -- Gordon Ball <gordon@chronitis.net>  Thu, 16 Nov 2017 20:58:44 +0000

jupyter-notebook (5.1.0-2) unstable; urgency=medium

  * Explicitly set HOME and XDG_RUNTIME_DIR due to tests failing
    on the buildds

 -- Gordon Ball <gordon@chronitis.net>  Mon, 06 Nov 2017 19:47:56 +0000

jupyter-notebook (5.1.0-1) unstable; urgency=medium

  [ Ximin Luo ]
  * New upstream release.

  [ Gordon Ball ]
  * Binary package jupyter-notebook now depends on jupyter-core, to ensure
    it is possible to run "jupyter notebook"
  * Man page added for new command "jupyter bundlerextension"
  * libjs-term.js has been replaced by libjs-xterm
  * Update Standards-Version to 4.1.1
  * Documentation now includes sample notebooks; a patch is added to ignore
    errors while building these
  * New dependencies: libjs-jed, libjs-requirejs-text
  * New missing-sources: json.js from requirejs-plugins
  * This version is built with a dummy shim replacing the unpackaged
    preact, preact-compat and proptypes javascript libraries. Consequently,
    the shortcut editor will not work.

 -- Gordon Ball <gordon@chronitis.net>  Sun, 05 Nov 2017 18:52:40 +0000

jupyter-notebook (4.2.3-4) unstable; urgency=medium

  * Clean up handling of the /etc/jupyter/nbconfig dir in maintscripts
  * Patch out the attempt to automatically import ipywidgets, which isn't
    required for ipywidgets > 4, and avoids an unneeded warning
    (closes: #848252)

 -- Gordon Ball <gordon@chronitis.net>  Sat, 07 Jan 2017 11:46:16 +0100

jupyter-notebook (4.2.3-3) unstable; urgency=medium

  * Team upload.

  [ Gordon Ball ]
  * Fix build breakage with requirejs 2.3
  * Add a systemd user unit (jupyter-notebook.service)

  [ Ximin Luo ]
  * Notify people that this package exists. (Closes: #844569)

 -- Ximin Luo <infinity0@debian.org>  Mon, 12 Dec 2016 11:32:55 +0100

jupyter-notebook (4.2.3-2) unstable; urgency=medium

  * Team upload.
  * Build source maps reproducibly (Closes: #847192)
  * Add some maintscripts to claim ownership of nbextension config files.
    Otherwise piuparts will fail notebook extension packages.

 -- Ximin Luo <infinity0@debian.org>  Wed, 07 Dec 2016 22:51:21 +0100

jupyter-notebook (4.2.3-1) unstable; urgency=medium

  * Initial release (closes: #801366).

 -- Gordon Ball <gordon@chronitis.net>  Fri, 04 Nov 2016 14:54:21 +0100
